<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
?>
<script>
$(document).ready(function(){
	
	var inputGrupo = $("#edtGrupo");
	var reqGrupo = $("#req-Grupo");
		
	function validarGrupo(){
		$("#message").html('');
		if(inputGrupo.val().length < 2 || inputGrupo.val().length > 50){
			inputGrupo.addClass("error2");
			reqGrupo.addClass("error2");
			$("#req-Grupo").html("A-Z y 0-9, Mín. 2 y Máx. 50 caracteres.");
			$("#req-GrupoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputGrupo.val().match(/^[a-zA-Z0-9 .]+$/)){
			inputGrupo.addClass("error2");
			reqGrupo.addClass("error2");
			$("#req-Grupo").html('Solo se aceptan números y letras.');
			$("#req-GrupoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(ExisteGrupo() == true){
			inputGrupo.addClass("error2");
			reqGrupo.addClass("error2");
			$("#req-Grupo").html("El Nombre del grupo ya esta registrado.");
			$("#req-GrupoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputGrupo.removeClass("error2");
			reqGrupo.removeClass("error2");
			$("#req-Grupo").html("");
			$("#req-GrupoImg").html("<img src='images/bien.png' width='16' height='16' title='Campo Completado!'>");
			return true;
		}
	}
	inputGrupo.blur(validarGrupo);
	
	$('#AltaGrupo').submit(function() {
		if(validarGrupo()) {
			AltaGrupo();
		} else
			return false;
		return false;
	});
	function ExisteGrupo() {
		$.ajax({
			type: "POST",
			data: "Opcion=2&NombreGrupo="+$('#edtGrupo').val()+"",  
			url: "ControlDuplicados.php",
			async: false,
			success: function(response) {
				if(response == 'NO')
					respuesta = false;
				else if(response == 'SI')
					respuesta = true;
				else
					$('#message').html(response);
			}
		});
		return respuesta;
	}
	function AltaGrupo() {
		$.ajax({
			type: "POST",
			data: "NombreGrupo="+$('#edtGrupo').val()+"",	  
			url: "ProcesarAltaGrupo.php",
			success: function(response) {
				if(response == 'Creado'){
					$.growlUI('Grupo Creado', 'Satisfactoriamente!');
					$("#message").html("<p class='success'>El Grupo se ha creado satisfactoriamente!</p>");
				}else
					$('#message').html(response);
			}
		});
	}
});
</script>
<table align="center" width="910" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" scope="col">
    <div id="dialog" class="dialog" title="Información de Alta de Grupo">
        <p>Si desea registrar un Grupo llene el siguiente campo: 
        <br></br>* Nombre del Grupo: Nombre del Grupo a registrar, (Mínimo 2 caracteres).
        <br></br>* Oprima el botón 'Crear Grupo'.
        <br></br>* Si existe alguna advertencia, corrija.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td scope="col">&nbsp;</td>
  </tr>
  <tr>
    <td scope="col">&nbsp;</td>
  </tr>
  <tr>
    <td scope="col">&nbsp;</td>
  </tr>
  <tr>
    <td scope="col">
    <form id="AltaGrupo" name="AltaGrupo" action= "" method="post">
    <table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="3" align="center" id="Titulo" scope="col">Alta de Grupo</td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td width="356" colspan="2" align="left" scope="col">&nbsp;</td>
        </tr>
      <tr>
        <td align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><b><label>Nombre del Grupo: </label></b></td>
        </tr>
      <tr>
        <td width="194" align="left" scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><input class="txt" name="edtGrupo" type="text" id="edtGrupo" title="Escribe el Nombre del Grupo." maxlength="50" <? if($_SESSION['Admin'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?>/><span id="req-GrupoImg" class="requisites error"></span></td>
        </tr>
      <tr>
        <td scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col"><b><span id="req-Grupo" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td scope="col">&nbsp;</td>
        <td colspan="2" align="left" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="col"><input class="submit" type="submit" name="submit" id="submit" title="Crear un nuevo Grupo." value="Crear Grupo" <? if($_SESSION['Admin'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?>/></td>
        </tr>
      <tr>
        <td scope="col">&nbsp;</td>
        <td colspan="2" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="col"><b>
          <? if($_SESSION['Admin'] == 1){ ?>
          <div id="message"></div>
          <? }else{?>
          <div id="message" class="error">Usted no tiene privilegios para dar de Alta Grupos!</div>
          <? } ?></b>
          </td>
      </tr>
    </table>
    </form>
    </td>
  </tr>
  <tr>
    <td align="center" scope="col"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>
